Package io.vertx.rxjava3.ext.web.validation.builder

## Class Parsers

- java.lang.Object
- - io.vertx.rxjava3.ext.web.validation.builder.Parsers

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Parsers
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  In this interface you can find all available `ArrayParserFactory`, `ObjectParserFactory` & `TupleParserFactory`

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Parsers>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Parsers​(Parsers delegate)` |
    `Parsers​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ArrayParserFactory` | `commaSeparatedArrayParser()` |
    `static ObjectParserFactory` | `commaSeparatedObjectParser()` |
    `static TupleParserFactory` | `commaSeparatedTupleParser()` |
    `boolean` | `equals​(Object o)` |
    `Parsers` | `getDelegate()` |
    `int` | `hashCode()` |
    `static Parsers` | `newInstance​(Parsers arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Parsers> __TYPE_ARG

  - ### Constructor Detail

    - #### Parsers

          public Parsers​(Parsers delegate)

    - #### Parsers

          public Parsers​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Parsers getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### commaSeparatedArrayParser

          public static ArrayParserFactory commaSeparatedArrayParser()

    - #### commaSeparatedObjectParser

          public static ObjectParserFactory commaSeparatedObjectParser()

    - #### commaSeparatedTupleParser

          public static TupleParserFactory commaSeparatedTupleParser()

    - #### newInstance

          public static Parsers newInstance​(Parsers arg)